View Issue Details

IDProjectCategoryView StatusLast Update
0002263SymmetricDSBugpublic2015-04-10 15:00
ReportermgongAssigned Tochenson 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.12 
Target Version3.7.13Fixed in Version3.7.13 
Summary0002263: Trigger is not able to be created
DescriptionGot the following error when started SymmetricDS service.

2015-04-08 08:54:09,147 ERROR [SymmetricDS] [TriggerRouterService] [symmetric-engine-startup-0] Failed to create triggers for Test.dbo.tTest
org.jumpmind.db.sql.SqlException: Cannot create trigger on 'Test.dbo.tTest' as the target is not in the current database.

It appears that the trigger has to be created like "use Test go create trigger SYM_ON_I_FOR_Txxx on tTest" instead of Test.dbo.tTest.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 07d6f433

2015-04-10 14:46:25

chenson

Details Diff
0002263: Trigger is not able to be created
0002263
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2015-04-09 13:59 mgong New Issue
2015-04-10 14:46 chenson Assigned To => chenson
2015-04-10 14:46 chenson Status new => assigned
2015-04-10 14:46 chenson Fixed in Version => 3.7.13
2015-04-10 14:46 chenson Target Version => 3.7.13
2015-04-10 14:46 chenson Status assigned => resolved
2015-04-10 14:46 chenson Resolution open => fixed
2015-04-10 14:47 chenson Status resolved => closed
2015-04-10 15:00 chenson Changeset attached => SymmetricDS trunk r9438
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 07d6f433